Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.crypto.params
Class RC5Parameters

    java.lang.Object
      org.bouncycastle.crypto.params.RC5Parameters

All Implemented Interfaces:
  CipherParameters

    public class RC5Parameters

extends java.lang.Object
implements CipherParameters

Constructor Summary
`RC5Parameters(byte[] key, int rounds)`

Method Summary
`byte[]` | `getKey()`
`int` | `getRounds()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RC5Parameters

    public RC5Parameters(byte[] key,
                         int rounds)

Method Detail

### getKey

    public byte[] getKey()

### getRounds

    public int getRounds()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD